Page MenuHomeFreeBSD

add couchdb & amqps to /etc/services
ClosedPublic

Authored by dch on Dec 20 2020, 9:48 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, May 3, 1:50 PM
Unknown Object (File)
Sun, Apr 28, 11:48 AM
Unknown Object (File)
Sat, Apr 27, 7:03 AM
Unknown Object (File)
Thu, Apr 25, 11:33 PM
Unknown Object (File)
Apr 23 2024, 1:13 AM
Unknown Object (File)
Apr 23 2024, 1:12 AM
Unknown Object (File)
Apr 23 2024, 1:12 AM
Unknown Object (File)
Apr 23 2024, 1:12 AM
Subscribers

Details

Summary
  • /etc/services entries are used as names in pf.conf rules
  • couchdb & amqps is in the IANA list
  • databases/couchdb* & net/rabbitmq are in ports, actively maintained, and used

https://reviews.freebsd.org/D23621 did a much-needed cleanup
but this does break a few cases, originally committed in r368712

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

dch requested review of this revision.Dec 20 2020, 9:48 PM

Wow, I should have dropped it by accident: it was surely my intention to keep couchdb in services.

SIze is not an issue anymore. At least not in current.

This revision is now accepted and ready to land.Dec 20 2020, 11:27 PM
usr.sbin/services_mkdb/services
1915

You should add the udp service as well as it is in the IANA database:

couchdb 5984 tcp CouchDB
couchdb 5984 udp CouchDB

add udp + tcp for amqps + couchdb

This revision now requires review to proceed.Dec 22 2020, 7:01 AM
dch retitled this revision from add couchdb to /etc/services to add couchdb & amqps to /etc/services.Dec 22 2020, 7:11 AM
dch edited the summary of this revision. (Show Details)
dch edited the test plan for this revision. (Show Details)
dch marked an inline comment as done.

thanks @pfg this is good my side now. I'm ok to commit this directly once you +1 it.

pfg added inline comments.
usr.sbin/services_mkdb/services
1901
1902

Following IANA, please use the comment for these two:

amqp protocol over TLS/SSL

This revision is now accepted and ready to land.Dec 22 2020, 9:12 PM
This revision was automatically updated to reflect the committed changes.